#include "Row.h"
#include <iostream>
using namespace std;

//    
void Row::resize(int s,double fill)
{
    if (noe!=s)
    {
        noe=s;
        delete row;
        row=new double[noe];
    }
    for (int i=0;i<noe;i++)
     row[i]=fill;
}


Row::Row(int n, double fill)
{
    noe=n;
    row=new double[n];
    for (int i=0;i<noe;i++)
     row[i]=fill;
}


// 
Row::Row(const Row &right)
{
    noe=right.noe;
    row=new double[noe];
    for (int i=0;i<noe;i++)
     row[i]=right.row[i];
}

Row::~Row()
{
    delete [] row;
}

//  
int Row:: getNoe() const
{
    return noe;
}

//   
double& Row:: operator[](int numb)
{
    return row[numb];
}

//   
const double& Row:: operator[](int numb) const
{
    return row[numb];
}

//    
const Row& Row:: operator=(const Row &right)
{
    if (*this!=right)
    {
        if (noe != right.noe)
        {
            noe=right.noe;
            delete [] row;
            row=new double [noe];
        }

        for (int i=0;i<noe;i++)
         row[i]=right.row[i];
    }

    return *this;
}

//  
bool Row:: operator==(const Row &right)
{
    //    
    if (noe!=right.noe)
     return false;

    for (int i=0;i<noe;i++)
     if (row[i]!=right.row[i])
      return false;

    //     true
    return true;
}

//  
bool Row:: operator!=(const Row &right)
{
    return !(*this==right);
}

std::ostream &operator<<(std::ostream &output, const Row &right)
{
    for (int i = 0; i < right.noe; i++)
     output<<setw(3)<<left<<right.row[i];

    return output;
}

istream &operator>>(istream &input, Row& right)
{
    for (int i=0;i<right.noe;i++)
     input>>right.row[i];

    return input;
}
