#ifndef ROW_H
#define ROW_H

# include <iostream>
# include <iomanip>

class Row
{
public:

friend std::ostream &operator<<(std::ostream&, const Row&);
friend std::istream &operator>>(std::istream&, Row&);

    Row(int=1,double=0);
    Row(const Row&);
    ~Row();
    int getNoe() const;
    void resize(int=1,double=0);
    double &operator[](int);
    const double &operator[](int) const;
    const Row &operator=(const Row&);
    bool operator==(const Row&);
    bool operator!=(const Row&);

private:
    double *row; //  
    int noe; //   (number of elements)
};

#endif
